package test.org.brains2b.sql.toclass.lob;

import java.io.File;
import java.sql.Types;

import org.brains2b.sql.toclass.Sql2DataC;
import org.brains2b.sql.toclass.Sql2File;

import test.org.brains2b.sql.toclass.TestSql2Class;

public class BlobNotesTest extends TestSql2Class {

	private TableModelTester notes;
	
	public void setUp() {
		super.setUp();
		notes = createNotes(Types.BLOB);
	}
	
	public void testSql2File() {
		Sql2File sf = new Sql2File(new File(System.getProperty("java.io.tmpdir")),"sql2class.blob");
		sf.setTableModel(notes);
		sf.setOptimisticLock(true);
		sf.run();
		comparefiles(new File("test/sql2class/blob/Notes.java"),sf.getResultfile());
	}
	
	public void testSql2DataC() {
		Sql2DataC sd = new Sql2DataC(new File(System.getProperty("java.io.tmpdir")),"sql2class.blob");
		sd.setTableModel(notes);
		sd.setOptimisticLock(true);
		sd.run();
		comparefiles(new File("test/sql2class/blob/NotesDC.java"),sd.getResultfile());
	}
}
